<div class="body">
  <!-- <img src="../../../assets/img/tumblr_fad698de81abf1f122ea815789e2d757_95f1e59a_640.webp" alt=""> -->
 <!-- <img src="../../../assets/img/pexels-pixabay-247929.jpg" alt=""> -->
 <div class="login">
  <!-- <mat-spinner diameter="50" class="spinner" *ngIf="loading"></mat-spinner> -->
   <mat-card class="simple-card-m">
   <form *ngIf="!loading" [formGroup]="form" (ngSubmit)="Ingresar()">
      


       <h1 class="bienvenida">¡Hola!</h1>
       <h3>Si eres nuevo puedes unirte a esta comunidad haciendo click al boton Registrarse</h3>
        <mat-form-field class="ancho" appearance="fill">
          <mat-label>Usuario</mat-label>
          <input  type="text" matInput formControlName="usuario">
        </mat-form-field>
          <mat-form-field class="ancho" appearance="fill">
          <mat-label>Contraseña</mat-label>
          <input type="password" matInput formControlName="password">
        </mat-form-field>
        <br>
        <br>
        <button type="submit" class="br4tn" mat-raised-button color="primary" [disabled]="form.invalid">Ingresar</button>
        
        <br>
        <button  class="retornar" routerLink="/inicio"><i class="fa-solid fa-arrow-left"></i> Retornar a Inicio</button>
        <button  class="retornar" routerLink="/registro">Registrarse <i class="fa-solid fa-arrow-right"></i></button>

        <br>
        <br>
        <br>
      </form>
    </mat-card>      


      </div>
  
</div>